Eine auf WordPress spezialiserte Suchmaschine für Entwickler und Theme-Autoren



is_lighttpd_before_150 ›

Seit2.5.0
Veraltetn/v
is_lighttpd_before_150 ( Keine Parameter )
Gibt zurück:
  • (bool) Whether the server is running lighttpd < 1.5.0.
Definiert in:
Codex:

Is the server running earlier than 1.5.0 version of lighttpd?



Ähnliche Funktionen: is_allowed_http_origin

Quellcode

function is_lighttpd_before_150() {
	$server_parts    = explode( '/', isset( $_SERVER['SERVER_SOFTWARE'] ) ? $_SERVER['SERVER_SOFTWARE'] : '' );
	$server_parts[1] = isset( $server_parts[1] ) ? $server_parts[1] : '';
	return  'lighttpd' == $server_parts[0] && -1 == version_compare( $server_parts[1], '1.5.0' );
}